Package org.apache.qpid.proton.engine

# Enum SslDomain.VerifyMode

java.lang.Object
java.lang.Enum<SslDomain.VerifyMode>
org.apache.qpid.proton.engine.SslDomain.VerifyMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SslDomain.VerifyMode>`

Enclosing interface:
  SslDomain

public static enum SslDomain.VerifyMode extends Enum<SslDomain.VerifyMode>
Determines the level of peer validation. `VERIFY_PEER_NAME` is used by default in `client` mode if not configured otherwise, with `ANONYMOUS_PEER` used for `server` mode if not configured otherwise.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANONYMOUS_PEER`
does not require a valid certificate, and permits use of ciphers that do not provide authentication
`VERIFY_PEER`
Requires peers provide a valid identifying certificate signed by a trusted certificate.
`VERIFY_PEER_NAME`
Requires peers provide a valid identifying certificate signed by a trusted certificate, including verifying hostname details of the certificate using peer details provided when configuring TLS via `Transport.ssl(SslDomain, SslPeerDetails)`.

## Method Summary

Modifier and Type
Method
Description
`static SslDomain.VerifyMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslDomain.VerifyMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VERIFY_PEER

public static final SslDomain.VerifyMode VERIFY_PEER
Requires peers provide a valid identifying certificate signed by a trusted certificate. Does not verify hostname details of the peer certificate, use `VERIFY_PEER_NAME` for this instead.

### VERIFY_PEER_NAME

public static final SslDomain.VerifyMode VERIFY_PEER_NAME
Requires peers provide a valid identifying certificate signed by a trusted certificate, including verifying hostname details of the certificate using peer details provided when configuring TLS via `Transport.ssl(SslDomain, SslPeerDetails)`.

### ANONYMOUS_PEER

public static final SslDomain.VerifyMode ANONYMOUS_PEER
does not require a valid certificate, and permits use of ciphers that do not provide authentication

## Method Details

### values

public static SslDomain.VerifyMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SslDomain.VerifyMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null